package com.americancoders.edi.EDIFact;

/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624  USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0
 */


import java.util.*;
import com.americancoders.edi.*;
import com.americancoders.edi.Tokenizer.*;

/**
 * staticly defined class for EDIFact Segment   Functional_Group_Header
 *
 */
public class  Functional_Group_Header
{

  public static final String id = "UNG";

  /**
   * Factory method to create an Funcitonal Group Header
   * @return Segment Funcitonal Group Header
   * @exception Exceptions can be thrown
   */

  public static Segment getInstance()
  throws Exception
  {
    CompositeDE cde;
    Segment returnSeg = new Segment(id, "Message Header", 0, "MessageHeader", 1, 'M');
    returnSeg.addDataElement(new CharDE("0038", "Functional Group Identification", 1, "functionalGroupID",'M', 1, 6));

    cde = new CompositeDE("S006", "SenderID", 2, "SenderIdentification");
    returnSeg.addCompositeDE(cde);

    cde.addDataElement(new CharDE("0040", "Sender ID", 1, "senderID",'M', 1, 35));
    cde.addDataElement(new CharDE("0007", "Identifier Code Qualifier", 2, "idCodeQualifier",'C', 1, 4 ));

    cde = new CompositeDE("S007", "ReceiverID", 2, "receiverIdentification");
    returnSeg.addCompositeDE(cde);
    cde.addDataElement(new CharDE("0044", "Reciever ID", 1, "recieverID", 'M', 1, 35));
    cde.addDataElement(new CharDE("0007", "Identifier Code Qualifier", 2, "idCodeQualifier", 'C', 1, 4 ));


    cde = new CompositeDE("S004", "DateTime", 3, "dateTime");
    returnSeg.addCompositeDE(cde);
    cde.addDataElement(new DateDE("0017", "Date" , 1,    "date" , 'O', 6, 6));
    cde.addDataElement(new TimeDE("0019", "Time", 2,    "time", 'O', 4, 4));

    returnSeg.addDataElement(new CharDE("0048", "Group Reference Number", 4, "groupReferenceNumber",'M', 1, 14 ));
    returnSeg.addDataElement(new CharDE("0051", "Controlling Agency", 5, "controllingAgency",'M', 1, 2 ));

    cde = new CompositeDE("S008", "MessageVersion", 6, "messageVersion");
    returnSeg.addCompositeDE(cde);

    returnSeg.addDataElement(new CharDE("0058", "Application Password", 7, "applicationPassword",'C', 1, 14));


    return returnSeg;
  }
}
