package com.americancoders.edi.EDIFact;

/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624  USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0
 */


import java.util.*;
import com.americancoders.edi.*;
import com.americancoders.edi.Tokenizer.*;

/**
 * staticly defined class for EDIFact Segment   Interchange_Trailer
 *
 */
public class  Interchange_Trailer
{

  public static final String id = "UNZ";

  /**
   * Factory method to create an Interchange Trailer
   * @return Segment Interchange Trailer
   * @exception Exceptions can be thrown
   */

  public static Segment getInstance()
  throws Exception
  {
    Segment returnSeg = new Segment(id, "Interchange Trailer", 0, "Interchange Trailer", 1, 'M');
    returnSeg.addDataElement(new CharDE("0074", "Number of segments", 1, "Number of segments in a Interchange", 'O', 1, 6,
    "numberOfSegmentsInAInterchange"));
    returnSeg.addDataElement(new CharDE("0062", "Interchange reference number", 2, "Interchange reference number", 'O', 1, 14,
    "InterchangeReferenceNumber"));
    return returnSeg;
  }
}
