package com.americancoders.edi.x12;


/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624  USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0.
 */


import java.util.*;
import com.americancoders.edi.*;
import com.americancoders.edi.Tokenizer.*;

/**
 * factory class for Segment  Deferred_Delivery_Request
 *
 */
public class  Deferred_Delivery_Request
{

  public static final String id = "ISE";
  /**
   * Factory method to create a Deferred Delivery Request
   * @return Segment Deferred Delivery Request
   * @exception Exceptions can be thrown
   */
  public static Segment getInstance()
  throws Exception
  {
    Segment returnSeg = new Segment(id, "Deferred Delivery Request ", 0, "DeferredDeliveryRequest ", 1, 'M');
    returnSeg.addDataElement(new DateDE("135", "Delivery Date", 1,   "deliveryDate", 'M', 6, 8));
    returnSeg.addDataElement(new TimeDE("136", "Delivery Time", 2,   "deliveryTime", 'M', 4, 4));
    returnSeg.addDataElement(new IDDE("137", "Delivery Time Code", 3,   "deliveryTimeCode", 'O', 2, 2));

    return returnSeg;
  }
}
