package com.americancoders.edi.x12;


/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624  USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0.
 */


import java.util.*;
import com.americancoders.edi.*;
import com.americancoders.edi.Tokenizer.*;

/**
 * factory class for Segment   Functional_Group_Header
 *
 */
public class  Functional_Group_Header
{

  public static final String id = "GS";
  /**
   * Factory method to create a Functional Group Header
   * @return Segment Functional Group Header
   * @exception Exceptions can be thrown
   */
  public static Segment getInstance()
  throws Exception
  {
    Segment returnSeg = new Segment(id, "Functional Group Header", 0, "FunctionalGroupHeader", 1, 'M');
    returnSeg.addDataElement(new IDDE("479", "Functional Identifier Code", 1,   "functionalIdentifierCode", 'O', 2, 2));
    returnSeg.addDataElement(new CharDE("142", "Application Senders Code", 2,  "applicationSendersCode", 'O', 2, 15));
    returnSeg.addDataElement(new IDDE("124", "Application Receivers Code", 3,  "applicationReceiversCode", 'O', 2, 15));
    returnSeg.addDataElement(new DateDE("373", "Date", 4, "date", 'O', 6, 6));
    returnSeg.addDataElement(new TimeDE("337", "Time", 5, "time", 'O', 4, 8));
    returnSeg.addDataElement(new NumericDE("I12", "Group Control", 6, "N0", "groupControlNumber", 'O', 9, 9));
    returnSeg.addDataElement(new IDDE("455", "Responsible Agency Code", 7,  "responsibleAgencyCode", 'O', 1, 2));
    returnSeg.addDataElement(new CharDE("480", "Version Release Industry",  8, "versionReleaseIndustryIdCode", 'O', 1, 12));

    return returnSeg;
  }
}
