package com.americancoders.edi.x12;


/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624  USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0.
 */


import java.util.*;
import com.americancoders.edi.*;
import com.americancoders.edi.Tokenizer.*;

/**
 * factory class for Segment  Interchange_Acknowledgment
 *
 */
public class Interchange_Acknowledgment
{

  public static final String id = "TA1";
  /**
   * Factory method to create a Interchange Acknowledgment
   * @return Segment Interchange Acknowledgment
   * @exception Exceptions can be thrown
   */
  public static Segment getInstance()
  throws Exception
  {
    Segment returnSeg = new Segment(id, "Interchange Acknowledgment", 0, "InterchangeAcknowledgment", 1, 'M');
    returnSeg.addDataElement(new NumericDE("I12", "Interchange Control Number", 1,   "interchangeControlNumber", 'M', 9, 0));
    returnSeg.addDataElement(new DateDE("108", "Interchange Date", 2,   "interchangeDate", 'M', 6, 8));
    returnSeg.addDataElement(new TimeDE("109", "Interchage Time", 3,   "interchageTime", 'M', 4, 4));
    returnSeg.addDataElement(new IDDE("I17", "Interchange Acknowledgment Code", 4,   "interchangeAcknowledgmentCode", 'M', 1, 1));
    returnSeg.addDataElement(new IDDE("I18", "Interchange Note Code", 5,   "interchangeNoteCode", 'M', 3, 3));

    return returnSeg;
  }
}
