package com.americancoders.edi.x12;

/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624  USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0
 */


import java.util.*;
import com.americancoders.edi.*;
import com.americancoders.edi.Tokenizer.*;

/**
 * staticly defined class for x12 Segment   Interchange_Control_Header
 *
 */
public class  Interchange_Control_Header
{

  public static final String id = "ISA";

  /**
   * Factory method to create an Interchange Control Header
   * @return Segment Interchange Control Header
   * @exception Exceptions can be thrown
   */

  public static Segment getInstance()
  throws Exception
  {
    Segment returnSeg = new Segment(id, "Interchange Control Header", 0, "InterchangeControlHeader", 1, 'M');
    returnSeg.addDataElement(new IDDE("I01", "Authorization Information Qualifier", 1, "authorizationInformationQualifier", 'O', 2, 2));
    returnSeg.addDataElement(new CharDE("I02", "Authorization Information", 2,  "authorizationInformation", 'O', 10, 10));
    returnSeg.addDataElement(new IDDE("I03", "Security Inform Qualifier", 3, "securityInformQualifier", 'O', 2, 2));
    returnSeg.addDataElement(new CharDE("I04", "Security Information", 4, "securityInformation", 'O', 10, 10));
    returnSeg.addDataElement(new IDDE("I05", "Interchange ID Qualifier", 5, "interchangeIDQualifier", 'O', 2, 2));
    returnSeg.addDataElement(new CharDE("I06", "Interchange Sender ID", 6, "interchangeSenderID", 'O', 15, 15));
    returnSeg.addDataElement(new IDDE("I05", "Interchange ID Qualifier", 7, "interchangeIDQualifier", 'O', 2, 2));
    returnSeg.addDataElement(new CharDE("I07", "Interchange Receiver ID", 8,  "interchangeReceiverID", 'O', 15, 15));
    returnSeg.addDataElement(new DateDE("I08", "Interchange Date", 9, "interchangeDate", 'O', 6, 6));
    returnSeg.addDataElement(new TimeDE("I09","Interchange Time", 10, "interchangeTime", 'O', 4, 4));
    returnSeg.addDataElement(new IDDE("I10", "Interchange Control Standards",  11, "interchangeControlStandards ID", 'O', 1, 1));
    returnSeg.addDataElement(new CharDE("I11", "Interchange Control Version",  12, "interchangeControlVersionNumber", 'O', 5, 5));
    returnSeg.addDataElement(new NumericDE("I12", "Interchange Control Number", 13, "N0", "Interchange Control Number", 'O', 9, 9));
    returnSeg.addDataElement(new IDDE("I13", "Acknowledgment Requested", 14, "acknowledgmentRequested", 'O', 1, 1));
    returnSeg.addDataElement(new IDDE("I14", "Test Indicator", 15, "testIndicator", 'O', 1, 1));
    returnSeg.addDataElement(new CharDE("I15", "Subelement Separator", 16, "subelementSeparator", 'O', 1, 1));
    return returnSeg;
  }
}
