package com.americancoders.edi.x12;

/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624 USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0
 */


import java.util.*;
import com.americancoders.edi.*;
import com.americancoders.edi.Tokenizer.*;

/**
 * class for Segment   Interchange_Control_Trailer
 *
 */
public class  Interchange_Control_Trailer
{

  public static final String id = "IEA";

  /**
   * Factory method to create an Interchange Control Trailer
   * @return Segment Interchange Control Trailer
   * @exception Exceptions can be thrown
   */

  public static Segment getInstance()
  throws Exception
  {
    Segment returnSeg = new Segment(id, "Interchange Control Trailer", 0, "InterchangeControlTrailer", 1, 'M');
    returnSeg.addDataElement(new NumericDE("I16", "Number of Functional Groups", 1, "N0", "rumberOfFunctionalGroups", 'O', 1, 5));
    returnSeg.addDataElement(new NumericDE("I12", "Group Control Number", 2, "N0", "groupControlNumber", 'O', 9, 9));
    return returnSeg;
  }

}
