package com.americancoders.edi.x12;


/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624  USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0.
 */


import java.util.*;
import com.americancoders.edi.*;
import com.americancoders.edi.Tokenizer.*;

/**
 * factory class for Segment  Interchange_Delivery_Notice
 *
 */
public class Interchange_Delivery_Notice
{

  public static final String id = "TA3";
  /**
   * Factory method to create a Interchange Delivery Notice
   * @return Segment Interchange Delivery Notice
   * @exception Exceptions can be thrown
   */
  public static Segment getInstance()
  throws Exception
  {
    Segment returnSeg = new Segment(id, "Interchange Delivery Notice", 0, "InterchangeDeliveryNotice", 1, 'M');
    returnSeg.addDataElement(new IDDE("I38", "Service Request Handler",  1, "serviceRequestHandlerIDQualifier", 'M', 2, 2));
    returnSeg.addDataElement(new CharDE("I39", "Service Request Handler",  2, "serviceRequestHandlerID", 'M', 1, 15));
    returnSeg.addDataElement(new IDDE("I43", "Error Reason Code", 3, "errorReasonCode", 'M', 3, 3));
    returnSeg.addDataElement(new CharDE("I44", "Reported Start Segment",  4, "reportedStartSegmentID", 'M', 2, 3));
    returnSeg.addDataElement(new CharDE("I45", "Reported Control Number", 5, "reportedControlNumber", 'M', 1, 14));
    returnSeg.addDataElement(new DateDE("I46", "Reported Date", 6, "reportedDate", 'M', 1, 8));
    returnSeg.addDataElement(new CharDE("I47", "Reported Time", 7, "reportedTime", 'M', 1, 8));
    returnSeg.addDataElement(new CharDE("I48", "Reported Interchange Sender",  8, "reportedInterchangeSenderIDQualifier", 'M', 1, 4));
    returnSeg.addDataElement(new CharDE("I49", "Reported Sender ID", 9, "reportedSenderID", 'M', 1, 35));
    returnSeg.addDataElement(new CharDE("I50", "Reported Interchange Receiver",  10, "reportedInterchangeReceiverIDQualifier", 'M', 1, 4));
    returnSeg.addDataElement(new IDDE("I51", "Reported Receiver", 11, "reportedReceiver", 'M', 1, 35));
    returnSeg.addDataElement(new IDDE("I40", "Action Code", 12, "actionCode", 'M', 2, 2));
    returnSeg.addDataElement(new DateDE("I41", "Action Date", 13, "actionDate", 'M', 6, 8));
    returnSeg.addDataElement(new TimeDE("I42", "Action Time", 14, "actionTime", 'M', 4, 4));
    returnSeg.addDataElement(new IDDE("I40", "Action Code", 15, "actionCode", 'M', 2, 2));
    returnSeg.addDataElement(new DateDE("I41", "Action Date", 16, "actionDate", 'M', 6, 8));
    returnSeg.addDataElement(new IDDE("I42", "Action Time", 17, "Action Time", 'M', 4, 4));
    returnSeg.addDataElement(new CharDE("I52", "First Reference ID",  18, "firstReferenceIDQualifier", 'O', 1, 4));
    returnSeg.addDataElement(new CharDE("I53", "First Reference ID", 19, "firstReferenceID", 'O', 1, 14));
    returnSeg.addDataElement(new CharDE("I54", "Second Reference ID",  20, "secondReferenceIDQualifier", 'O', 1, 14));
    returnSeg.addDataElement(new CharDE("I55", "Second Reference ID", 21, "secondReferenceID", 'O', 1, 14));
    returnSeg.addDataElement(new IDDE("I56", "Reference Code Qualifier", 22, "referenceCodeQualifier", 'X', 2, 2));
    returnSeg.addDataElement(new CharDE("I57", "Reference Code", 23, "referenceCode", 'X', 1, 35));
    returnSeg.addDataElement(new IDDE("I56", "Reference Code Qualifier", 24, "referenceCodeQualifier", 'X', 2, 2));
    returnSeg.addDataElement(new CharDE("I57", "Reference Code", 25, "referenceCode", 'X', 1, 35));
    returnSeg.addDataElement(new IDDE("I56", "Reference Code Qualifier", 26, "referenceCodeQualifier", 'X', 2, 2));
    returnSeg.addDataElement(new CharDE("I57", "Reference Code", 27, "referenceCode", 'X', 1, 35));

    return returnSeg;
  }
}



