package com.americancoders.util;

/**
 *OBOE - Open Business Objects for EDI
 *<p>Copyright 1998-2000 - American Coders, LTD  - Raleigh NC USA
 *<p>All rights reserved
 *<p>American Coders, Ltd
 *<br>P. O. Box 97462
 *<br>Raleigh, NC  27624  USA
 *<br>1-919-846-2014
 *<br>http://www.americancoders.com
@author Joe McVerry, American Coders Ltd.
@version 1.5.0
 */


import com.americancoders.edi.*;
import java.util.*;
import java.text.*;

/**
 * class of utility routines
 *
 */
public class  Util
{
  /**
   * @return String date in format CCYYMMDD
   */
  public static String currentDate()
  {
    Calendar currentDateTime = Calendar.getInstance();
    DecimalFormat df = new DecimalFormat("00000000");

    return (df.format(currentDateTime.get(Calendar.YEAR) * 10000 +
    + currentDateTime.get(Calendar.MONTH+1) * 100 +
    + currentDateTime.get(Calendar.DAY_OF_MONTH+1)));

  }

  /**
   *
   * @return String time in format HHMM  24hour
   */
  public static String currentTime()
  {
    Calendar currentDateTime = Calendar.getInstance();
    DecimalFormat df = new DecimalFormat("0000");

    return(df.format(currentDateTime.get(Calendar.HOUR_OF_DAY) * 100 +
    + currentDateTime.get(Calendar.MINUTE)));
  }

  /**
   * normlizes the string to remove XML characters.
   * @param String
   * @retrun STring
   */
  public static String normalize(String inString) {
    int i;
    StringBuffer sb = new StringBuffer();
    for (i = 0; i < inString.length(); i++)
    switch (inString.charAt(i)) {
      case '&':
      sb.append("&amp;");
      break;
      case '<':
      sb.append("&lt;");
      break;
      case '>':
      sb.append("&gt;");
      break;
      case '"':
      sb.append("&quot;");
      break;
      case '\'':
      sb.append("&apos;");
      break;
      default:
      sb.append(inString.charAt(i));
    }

    return new String(sb);
  }


}
